Get a knowledge base chat
curl --request GET \
--url https://api.starleads.co/KnowledgeBaseChat/{chatId} \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.starleads.co/KnowledgeBaseChat/{chatId}"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.starleads.co/KnowledgeBaseChat/{chatId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"datasetIds": [
"<string>"
],
"datasetNames": [
"<string>"
],
"connectedAgentCount": 123,
"llmSettings": {
"temperature": 123,
"topP": 123,
"presencePenalty": 123,
"frequencyPenalty": 123
},
"promptSettings": {
"similarityThreshold": 123,
"keywordsSimilarityWeight": 123,
"topN": 123,
"prompt": "<string>",
"opener": "<string>",
"emptyResponse": "<string>",
"showQuote": true,
"rerankModel": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Knowledge Base — Chats
Get a knowledge base chat
GET
/
KnowledgeBaseChat
/
{chatId}
Get a knowledge base chat
Authorizations
Headers
API key for authentication
Path Parameters
Response
Success
Public representation of a knowledge base chat
Chat identifier
Chat name
Connected dataset IDs
Connected dataset names (read-only)
Number of agents using this chat
LLM configuration parameters exposed to the API (excludes model name)
Show child attributes
Show child attributes
RAG prompt configuration
Show child attributes
Show child attributes
Creation timestamp
Last update timestamp

